Download it now!
Bug 133863 - FILEOPEN DOCX Shape size grows with Relative width to outer margin
Summary: FILEOPEN DOCX Shape size grows with Relative width to outer margin
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Balázs Regényi
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords:
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2020-06-10 14:55 UTC by NISZ LibreOffice Team
Modified: 2020-07-16 14:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (15.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-06-10 14:55 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (63.89 KB, image/png)
2020-06-10 14:55 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-10 14:55:29 UTC
Created attachment 161840 [details]
Example file from Word

Attached document contains shapes with relative (100%) width set to Outer margin, also the document has mirrored margins set with 4.5 cm inner and 3 cm outer.
If the file is opened in Writer, the shapes are 21 cm wide instead of matching the outer margins of the page.

Steps to reproduce:
1.	Open attached document

Actual results:
Shapes are 21 cm wide.

Expected results:
Shape width matches page outer margins.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 59939d2490726336546c7ad05082d23031074e12
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-06-10 14:55:49 UTC
Created attachment 161841 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 Dieter 2020-06-12 17:06:32 UTC
I confirm it with

Version: 7.0.0.0.beta1 (x64)
Build ID: 94f789cbb33335b4a511c319542c7bdc31ff3b3c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: CL

in comparison with Word 2016
Comment 3 Commit Notification 2020-07-01 16:34:54 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d63321d949563759ee2ada96fdc2e0f8728941b2

tdf#133863 tdf#133864 DOCX shape import: width relative to inside

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-16 14:15:32 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dc3137f9a5a2abdbb627a1a26392d71e26bcc283

tdf#133863 tdf#133864 DOCX shape import: width relative to inside

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.